gamerule commandblockoutput false
gamerule showtags false

execute @e[type=mine:missile] ~ ~ ~ /particle minecraft:campfire_tall_smoke_particle ~ ~ ~

execute @e[type=add:drone_1,tag=on,scores={camera=1}] ~ ~ ~ /event entity @a[tag=self_1] variant1
execute @e[type=add:drone_2,tag=on,scores={camera=1}] ~ ~ ~ /event entity @a[tag=self_2] variant1
execute @e[type=add:drone_3,tag=on,scores={camera=1}] ~ ~ ~ /event entity @a[tag=self_3] variant1

scoreboard objectives add right dummy
scoreboard objectives add down dummy
scoreboard objectives add move dummy
scoreboard objectives add left dummy
scoreboard objectives add up dummy
scoreboard objectives add led dummy

scoreboard players add @e[type=add:drone_1] led 0
scoreboard players add @e[type=add:drone_1,scores={led=0..20}] led 1
scoreboard players add @e[type=add:drone_2] led 0
scoreboard players add @e[type=add:drone_2,scores={led=0..20}] led 1
scoreboard players add @e[type=add:drone_3] led 0
scoreboard players add @e[type=add:drone_3,scores={led=0..20}] led 1

event entity @e[type=add:drone_1,tag=led,scores={led=1}] variant0
event entity @e[type=add:drone_1,tag=led,scores={led=11}] variant1
event entity @e[type=add:drone_2,tag=led,scores={led=1}] variant0
event entity @e[type=add:drone_2,tag=led,scores={led=11}] variant1
event entity @e[type=add:drone_3,tag=led,scores={led=1}] variant0
event entity @e[type=add:drone_3,tag=led,scores={led=11}] variant1

playanimation @e[type=add:drone_1,tag=run,scores={led=1}] animation.drone_1.on lol 5
playanimation @e[type=add:drone_1,tag=run,scores={led=11}] animation.drone_1.on lol 5
playanimation @e[type=add:drone_2,tag=run,scores={led=1}] animation.drone_2.on lol 5
playanimation @e[type=add:drone_2,tag=run,scores={led=11}] animation.drone_2.on lol 5
playanimation @e[type=add:drone_3,tag=run,scores={led=1}] animation.drone_3.on lol 5
playanimation @e[type=add:drone_3,tag=run,scores={led=11}] animation.drone_3.on lol 5

execute @e[type=add:drone_1,tag=run,scores={led=11}] ~ ~ ~ /kill @e[type=small_fireball]
execute @e[type=add:drone_1,tag=run,scores={led=11}] ~ ~ ~ /fill ~-15 ~-15 ~-15 ~15 ~15 ~15 air 0 replace fire
execute @e[type=add:drone_2,tag=run,scores={led=11}] ~ ~ ~ /kill @e[type=small_fireball]
execute @e[type=add:drone_2,tag=run,scores={led=11}] ~ ~ ~ /fill ~-15 ~-15 ~-15 ~15 ~15 ~15 air 0 replace fire
execute @e[type=add:drone_3,tag=run,scores={led=11}] ~ ~ ~ /kill @e[type=small_fireball]
execute @e[type=add:drone_3,tag=run,scores={led=11}] ~ ~ ~ /fill ~-15 ~-15 ~-15 ~15 ~15 ~15 air 0 replace fire

execute @e[tag=on,type=add:drone_1] ~ ~ ~ tp ~ ~ ~
execute @e[tag=on,type=add:drone_1] ~ ~ ~ /playsound drone.on @a ~ ~ ~ 0.05
execute @e[tag=sound,type=add:drone_1] ~ ~ ~ /playsound drone.on @a ~ ~ ~ 0.05
execute @e[type=add:drone_1,scores={right=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~3
execute @e[type=add:drone_1,scores={down=1},tag=on] ~ ~ ~ /tp @s ~ ~-0.1 ~ true
execute @e[type=add:drone_1,scores={move=1},tag=on] ~ ~ ~ /tp @s ^ ^ ^0.2 true
execute @e[type=add:drone_1,scores={left=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~-3
execute @e[type=add:drone_1,scores={up=1},tag=on] ~ ~ ~ /tp @s ~ ~0.1 ~ true

execute @e[tag=on,type=add:drone_2] ~ ~ ~ tp ~ ~ ~
execute @e[tag=on,type=add:drone_2] ~ ~ ~ /playsound drone.on @a ~ ~ ~ 0.05
execute @e[tag=sound,type=add:drone_2] ~ ~ ~ /playsound drone.on @a ~ ~ ~ 0.05
execute @e[type=add:drone_2,scores={right=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~3
execute @e[type=add:drone_2,scores={down=1},tag=on] ~ ~ ~ /tp @s ~ ~-0.1 ~ true
execute @e[type=add:drone_2,scores={move=1},tag=on] ~ ~ ~ /tp @s ^ ^ ^0.2 true
execute @e[type=add:drone_2,scores={left=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~-3
execute @e[type=add:drone_2,scores={up=1},tag=on] ~ ~ ~ /tp @s ~ ~0.1 ~ true

execute @e[tag=on,type=add:drone_3] ~ ~ ~ tp ~ ~ ~
execute @e[tag=on,type=add:drone_3] ~ ~ ~ /playsound drone.on_2 @a ~ ~ ~ 0.17
execute @e[tag=sound,type=add:drone_3] ~ ~ ~ /playsound drone.on_2 @a ~ ~ ~ 0.5
execute @e[type=add:drone_3,scores={right=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~3
execute @e[type=add:drone_3,scores={down=1},tag=on] ~ ~ ~ /tp @s ~ ~-0.3 ~ true
execute @e[type=add:drone_3,scores={move=1},tag=on] ~ ~ ~ /tp @s ^ ^ ^0.65 true
execute @e[type=add:drone_3,scores={left=1},tag=on] ~ ~ ~ /tp @s ~ ~ ~ ~-3
execute @e[type=add:drone_3,scores={up=1},tag=on] ~ ~ ~ /tp @s ~ ~0.3 ~ true

ride @p[tag=self_1,c=1] start_riding @e[type=add:drone_1,tag=ride,c=1] teleport_rider
ride @p[tag=self_2,c=1] start_riding @e[type=add:drone_2,tag=ride,c=1] teleport_rider
ride @p[tag=self_3,c=1] start_riding @e[type=add:drone_3,tag=ride,c=1] teleport_rider

scoreboard players set @e[type=add:drone_1,scores={led=21}] led 0
scoreboard players set @e[type=add:drone_2,scores={led=21}] led 0
scoreboard players set @e[type=add:drone_3,scores={led=21}] led 0